# Uses of Class
it.tdlight.jni.TdApi.AuthenticationCodeType

## Uses of TdApi.AuthenticationCodeType in it.tdlight.jni

Subclasses of TdApi.AuthenticationCodeType in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.AuthenticationCodeTypeCall`
An authentication code is delivered via a phone call to the specified phone number.
`static final class`
`TdApi.AuthenticationCodeTypeFlashCall`
An authentication code is delivered by an immediately canceled call to the specified phone number.
`static final class`
`TdApi.AuthenticationCodeTypeSms`
An authentication code is delivered via an SMS message to the specified phone number.
`static final class`
`TdApi.AuthenticationCodeTypeTelegramMessage`
An authentication code is delivered via a private Telegram message, which can be viewed from another active session.
Fields in it.tdlight.jni declared as TdApi.AuthenticationCodeType
Modifier and Type
Field
Description
`TdApi.AuthenticationCodeType`
TdApi.AuthenticationCodeInfo.`nextType`
The way the next code will be sent to the user; may be null.
`TdApi.AuthenticationCodeType`
TdApi.AuthenticationCodeInfo.`type`
The way the code was sent to the user.
Constructors in it.tdlight.jni with parameters of type TdApi.AuthenticationCodeType
Modifier
Constructor
Description
``
`AuthenticationCodeInfo(String phoneNumber, TdApi.AuthenticationCodeType type, TdApi.AuthenticationCodeType nextType, int timeout)`
Information about the authentication code that was sent.